package com.mcwl.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.system.domain.SysUserPayAccount;
import com.mcwl.system.domain.SysUserPayAccountLog;

import javax.validation.Valid;

/**
 * 用户提现 服务层
 *
 * @author mcwl
 */
public interface ISysUserPayAccountLogService extends IService<SysUserPayAccountLog> {


    /**
     * 当前用户的提现记录
     * @param pageDomain 分页参数
     * @return TableDataInfo
     */
    TableDataInfo getWithdrawalRecord(PageDomain pageDomain);
}
